Subject: bug#11687: 24.1; (wrong-type-argument stringp nil) for `dired-do-chmod' (actually, `dired-do-uncache')

From: "Drew Adams" <[email-masked]>
Date: Sun, 30 Sep 2012 13:50:34 -0700

> > I did not see this with emacs -Q, but this is what I saw:
> >
> > I marked some files in Dired, then did `dired-do-chmod'.  
> > At the prompt I entered "a-w".  This is the backtrace:
> >
> > Debugger entered--Lisp error: (wrong-type-argument stringp nil)
> 
> This bug can happen when you do `dired-do-chmod' on a non-Dired buffer
> (it calls `dired-do-redisplay' that fails when called not in Dired).
> If you can't reproduce this bug, it should be closed as notabug.

I see.  But I was in Dired at the time, I'm pretty sure.  Anyway, so far I have
not seen the problem again, so if you would like to close the bug feel free to
do so.

(That was with the 24.1 release, however, not with a development snapshot.)